summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/chains/0004busy_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/chains/0004busy_1')
-rwxr-xr-xtests/shell/testcases/chains/0004busy_111
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/shell/testcases/chains/0004busy_1 b/tests/shell/testcases/chains/0004busy_1
new file mode 100755
index 00000000..cc9a0dad
--- /dev/null
+++ b/tests/shell/testcases/chains/0004busy_1
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+$NFT add table t
+$NFT add chain t c1
+$NFT add chain t c2
+$NFT add rule t c1 jump c2
+# kernel should return EBUSY
+$NFT delete chain t c2 2>/dev/null
+echo "E: deleted a busy chain?" >&2